Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciInheritance

public interface SciInheritance
extends SciElement, SciReference

`SciInheritance` is a reference to the class (interface) whose name appeared in the extends/implements section.

In addition to the `SciReference` interface methods this interface defines methods `getInheritor` and `isImplementation`.

`getInheritor` method returns `SciClass`-owner of this `SciInheritance`.

`isImplementation` method returns `true` if this reference is occurred in the "implements" section, `false` if in the "extends" section.

For example, if `mySciClass` stands for this source class:

       public Class1 extends MyClass2 {
        ...
       }

then `mySciClass.getExtendsList().inheritances()` will return enumeration consisting of only one `SciIheritance` - reference to `MyClass2`. The `getInheritor` method for this `SciInheritance` will return `SciClass` for `Class1`, and `isImplementation` method will return `false`

Author:
  TogetherSoft
See Also: SciReference, SciInheritanceList, SciClass.getExtendsList(), SciClass.getImplementsList()

Method Summary
`SciClass` | `getInheritor()` Returns `SciClass`-owner of this `SciInheritance`.
`boolean` | `isImplementation()` Returns `true` if this reference has occurred in the "implements" section, `false` if in the "extends" section

Methods inherited from interface com.togethersoft.openapi.sci.SciElement
`accept, canSetName, canSetProperty, getDeclarationText, getName, getQualifiedName, getTagList, getUniqueName, hasProperty, isDeleted, isPropertyReadable, isPropertyWritable, setName, setProperty, visitReferences, visitReferences`

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Methods inherited from interface com.togethersoft.openapi.sci.SciReference
`canSetReferencedElement, canSetReferenceText, getReferencedElement, getReferenceText, setReferencedElement, setReferenceText`

Method Detail

### getInheritor

    public SciClass getInheritor()

  Returns `SciClass`-owner of this `SciInheritance`.
  Returns: `SciClass`

### isImplementation

    public boolean isImplementation()

  Returns `true` if this reference has occurred in the "implements" section, `false` if in the "extends" section
  Returns: `true` if this reference has occurred in the "implements" section, `false` if in the "extends" section

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD